loci.plugins.config

## Class SpringUtilities

- java.lang.Object
- - loci.plugins.config.SpringUtilities

-     public class SpringUtilities
      extends java.lang.Object

  A 1.4 file that provides utility methods for creating form- or grid-style layouts with SpringLayout. These utilities are used by several programs, such as SpringBox and SpringCompactGrid.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static javax.swing.SpringLayout.Constraints` | `getConstraintsForCell(int row, int col, java.awt.Container parent, int cols)`
    `static void` | `makeCompactGrid(java.awt.Container parent, int rows, int cols, int initialX, int initialY, int xPad, int yPad)` Aligns the first `rows` * `cols` components of `parent` in a grid.
    `static void` | `makeGrid(java.awt.Container parent, int rows, int cols, int initialX, int initialY, int xPad, int yPad)` Aligns the first `rows` * `cols` components of `parent` in a grid.
    `static void` | `printSizes(java.awt.Component c)` A debugging utility that prints to stdout the component's minimum, preferred, and maximum sizes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringUtilities

          public SpringUtilities()

  - ### Method Detail

    - #### printSizes

          public static void printSizes(java.awt.Component c)

      A debugging utility that prints to stdout the component's minimum, preferred, and maximum sizes.

    - #### makeGrid

          public static void makeGrid(java.awt.Container parent,
                                      int rows,
                                      int cols,
                                      int initialX,
                                      int initialY,
                                      int xPad,
                                      int yPad)

      Aligns the first `rows` * `cols` components of `parent` in a grid. Each component is as big as the maximum preferred width and height of the components. The parent is made just big enough to fit them all.
      Parameters:
        `rows` - number of rows
        `cols` - number of columns
        `initialX` - x location to start the grid at
        `initialY` - y location to start the grid at
        `xPad` - x padding between cells
        `yPad` - y padding between cells

    - #### getConstraintsForCell

          private static javax.swing.SpringLayout.Constraints getConstraintsForCell(int row,
                                                                                    int col,
                                                                                    java.awt.Container parent,
                                                                                    int cols)

    - #### makeCompactGrid

          public static void makeCompactGrid(java.awt.Container parent,
                                             int rows,
                                             int cols,
                                             int initialX,
                                             int initialY,
                                             int xPad,
                                             int yPad)

      Aligns the first `rows` * `cols` components of `parent` in a grid. Each component in a column is as wide as the maximum preferred width of the components in that column; height is similarly determined for each row. The parent is made just big enough to fit them all.
      Parameters:
        `rows` - number of rows
        `cols` - number of columns
        `initialX` - x location to start the grid at
        `initialY` - y location to start the grid at
        `xPad` - x padding between cells
        `yPad` - y padding between cells

Copyright © 2026 Open Microscopy Environment